# spec file for p3scan from Gabriele Carioli
#
%define name	p3scan
%define version	2.1
%define release 1mdk


Summary: Virus scanning transparent proxy server for POP3
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Servers
URL: http://p3scan.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot 
Source0: http://prdownloads.sourceforge.net/p3scan/%{name}-%{version}.tar.bz2
Source1: p3scan.sh
#Patch1: p3scan-2.0-rpmtargetopts.patch
BuildPrereq: pcre-devel
Requires: iptables, pcre
Conflicts: pop3vscan

%define user mail

%description
This is a full-transparent proxy-server for POP3-Clients. It runs on
a Linux box with iptables (for port re-direction). It can be used to
provide POP3 email scanning from the internet, to any internal network
and is ideal for helping to protect your "Other OS" LAN from harm,
especially when used in conjunction with a firewall and other Internet
Proxy servers.

%prep

%setup -n %{name}-%{version}

#%patch0 -p1

%build
make OPTS="$RPM_OPT_FLAGS" 

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_ROOT}/var/spool/p3scannotify
mkdir -p ${RPM_BUILD_ROOT}/var/spool/p3scan/children
mkdir -p ${RPM_BUILD_ROOT}/var/spool/p3scan/notify
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/p3scan
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/var/run/p3scan
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

chmod -R 700 ${RPM_BUILD_ROOT}/var/spool/p3scan
chmod -R 700 ${RPM_BUILD_ROOT}/var/spool/p3scan/notify
#chown -R %{user} ${RPM_BUILD_ROOT}/var/spool/p3scan
#chown -R %{user} ${RPM_BUILD_ROOT}/var/run/p3scan
#chown -R %{user} ${RPM_BUILD_ROOT}%{_sysconfdir}/p3scan
install -m 750 p3scan ${RPM_BUILD_ROOT}%{_sbindir}
install -m 600 -o %{user} p3scan.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/p3scan/p3scan.conf.sample
#install -m 644 -o %{user} p3scan-en.mail ${RPM_BUILD_ROOT}%{_sysconfdir}/p3scan/p3scan.mail.sample
install -m 644 -o %{user} p3scan-*.mail ${RPM_BUILD_ROOT}%{_sysconfdir}/p3scan/
install -m 755 ${RPM_SOURCE_DIR}/p3scan.sh ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/p3scan
install -m 644 p3scan.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 644 p3scan_readme.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 644 AUTHORS CHANGELOG CONTRIBUTERS LICENSE NEWS README README-rpm spamfaq.html spamfaq.txt TODO.list ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%post
/sbin/chkconfig --add p3scan


%clean
rm -rf ${RPM_BUILD_ROOT}

%preun
if [ $1 = 0 ]; then
        if [ -f /var/lock/subsys/p3scan ]; then
                /etc/rc.d/init.d/p3scan stop
        fi
        if [ -f /etc/rc.d/init.d/p3scan ]; then
                /sbin/chkconfig --del p3scan
        fi
fi

%files
%{_sbindir}/p3scan
%{_sysconfdir}/p3scan/p3scan.conf.sample
%{_sysconfdir}/p3scan/p3scan*.mail
%{_sysconfdir}/init.d/p3scan
%{_mandir}/man8/p3scan.8.bz2
%{_mandir}/man8/p3scan_readme.8.bz2
%{_docdir}/%{name}-%{version}/*
%dir /var/run/p3scan
%dir /var/spool/p3scan
%dir /var/spool/p3scan/children
%dir /var/spool/p3scan/notify
%dir %{_mandir}/man8

%changelog
* Wed Jul 20 2005 Emmanuel Andry <eandry@free.fr> 2.1-1mdk
- Initial release
- Got problem with chown command, if someone could fix it
